---
title: "1st Orekit Talk - DSST, by Bryan Cazabonne"
excerpt: "The 1st session of the Orekit Talks was held on the 23rd of May 2023 and was a great success."
layout: post_orekit
publication_year: 2023
date: 2023-05-30 09:00:00 +0200
modified: 2025-03-26 15:33:49 +01:00
project: orekit
categories:
- News
tags:
- news
- symposium
- presentation
---


The 1st session of the "Orekit Talks" was held on the 23rd of May 2023 and was
a great success. The subject was the "recent evolutions of the DSST propagator
in the Orekit library". Thanks to all the attendees for this and a special
thanks to Bryan for his interesting and clear presentation!

Here are links to:
* The [slides][bryan-slides],
* And the [video][bryan-recording].

You can find the scientific publications that were cited in the presentation
here:

* Cazabonne and Maisonobe, 2018 – [Open Source Orbit Determination with Semi-Analytical Theory][os-orbit-deter]
* Cazabonne and Cefola, 2021 - [Towards Accurate Orbit Determination using Semi-analytical Satellite Theory][accurate-orbit]
* Cazabonne et al., 2021 - [A Semi-analytical Approach for Orbit Determination based on Extended Kalman Filter][semi-analytical]

And the DSST tutorials here:

* DSST [propagation][tutorial-dsst]
* DSST batch least-squares [orbit determination][tutorial-least-squares]
* [Extended Semi-Analytical Kalman filter][tutorial-extended-kalman] (ESKF)

Some statistics about the meeting:
* We were 71 registered and 60 actually present during the meeting (we were
  targeting 50 people so better than expected).
* Orekit is a worldwide project, demonstrated by the nationality of the
  registered: France, Poland, Luxembourg, Germany, Italy, Portugal, USA,
  India, Canada, Australia, Spain, Bulgaria, Chile.
* The audience included a wide variety of players from industry, government,
  and academia.
* Most of the people who attended were regular users of Orekit.
* It proves that our community is alive and healthy, this is really great!

We will soon organize the 2nd OrekitTalk, so feel free to notify us on the
forum if you are a candidate for the presentation.

[bryan-slides]: /doc/orekit-talks/20230523/orekit-talk-20230523-dsst-bryan-cazabonne-slides.pdf
[bryan-recording]: /doc/orekit-talks/20230523/orekit-talk-20230523-dsst-bryan-cazabonne-recording.mp4
[os-orbit-deter]: https://www.researchgate.net/publication/328881334_Open_Source_Orbit_Determination_with_Semi-Analytical_Theory
[accurate-orbit]: https://www.researchgate.net/publication/349311171_Towards_Accurate_Orbit_Determination_using_Semi-analytical_Satellite_Theory
[semi-analytical]: https://www.researchgate.net/publication/353923078_A_Semi-analytical_Approach_for_Orbit_Determination_based_on_Extended_Kalman_Filter
[tutorial-dsst]: https://gitlab.orekit.org/orekit/orekit-tutorials/-/blob/main/src/main/java/org/orekit/tutorials/propagation/DSSTPropagation.java
[tutorial-least-squares]: https://gitlab.orekit.org/orekit/orekit-tutorials/-/blob/main/src/main/java/org/orekit/tutorials/estimation/DSSTOrbitDetermination.java
[tutorial-extended-kalman]: https://gitlab.orekit.org/orekit/orekit-tutorials/-/blob/main/src/main/java/org/orekit/tutorials/estimation/ExtendedSemianalyticalKalmanFilter.java
