---
title: "4th Orekit Talk: OreCzml, a 3D visualization library for Orekit by Julien Leblond"
excerpt: "The 4th session of the “Orekit Talks” was held on the 18h of December 2024."
layout: post_orekit
publication_year: 2024
date: 2024-12-19 00:00:00 +0200
modified: 2024-12-19 00:00:00 +0200
project: orekit
categories:
- News
tags:
- news
- symposium
- presentation
- oreczml
---

The 4th session of the “Orekit Talks” was held on the 18h of December 2024.

Julien Leblond presented the results of his end-of-studies internship at CS Group this year.  
During the last months, Julien has developed an open-source library, OreCzml, that bridges the gap between Orekit objects and the 3D rendering application Cesium JS.  
The goal was to equip Orekit with the ability to quickly visualise in 3 dimensions the produced orbits, orbital events, station passes, etc.

This open-source library is already available in Orekit official namespace on Gitlab, under the name OreCzml.  
We warmly encourage you to test it, use it, and help us improve it by opening tickets or, even better, by contributing to it!

 - Here is the link to the forge: https://gitlab.orekit.org/orekit/oreczml (follow the Gitlab wiki to get started)
 - And a personal project from Julien to quickly run Cesium JS on your computer: https://gitlab.orekit.org/Zudo/oreczml-js-interface

And here is the material from the talk:
 - The [slides](https://orekit.org/doc/orekit-talks/20241218/2024-12-18-4th_Orekit_Talk-Julien_Leblond-OreCzml_3D_Visualisation_Library_for_Orekit.pdf)
 - The [video](https://orekit.org/doc/orekit-talks/20241218/2024-12-18-4th_Orekit_Talk-Julien_Leblond-OreCzml_3D_Visualisation_Library_for_Orekit.mp4)

During the talk, Julien made a live demo of Oreczml. We recommend you to watch it, it really shows how simple it is to produce nice 3D rendering of orbital simulations with a few lines of code.

**We’re always happy to organize an Orekit Talk. If you want to present some of your work please contact us by mail or on the forum!!!**

It is open to everyone in the community, you can present your application or product, the only requirement is that it is related to Orekit.

Cheers!

