#/bin/bash

# Extract Orekit versions from the changes.xml file provided in the Orekit
# repository and ignore versions prior to 6.1 (they are no longer managed).

curl -sSL https://gitlab.orekit.org/orekit/orekit/-/raw/main/src/changes/changes.xml \
     | xmlstarlet sel -T -t -m '//document/body/release/@version' -v 'concat("- ",.)' -n \
     | grep -vE '^- ([0-5]\.|6\.0)' | sort -rV \
     > _data/orekit/versions.yml

# Extract Rugged versions from the changes.xml file provided in the Rugged
# repository

curl -sSL https://gitlab.orekit.org/orekit/rugged/-/raw/master/src/changes/changes.xml \
     | xmlstarlet sel -T -t -m '//document/body/release/@version' -v 'concat("- ",.)' -n \
     | sort -rV \
     > _data/rugged/versions.yml

# Extract Orekit Tutorials versions from the changes.xml file provided in the
# Orekit Tutorials repository

curl -sSL https://gitlab.orekit.org/orekit/orekit-tutorials/-/raw/master/src/changes/changes.xml \
     | xmlstarlet sel -T -t -m '//document/body/release/@version' -v 'concat("- ",.)' -n \
     | sort -rV \
     > _data/orekit-tutorials/versions.yml
